<template>
  <div class="container">
    <h1 class="text-center">Search</h1>
    <p>
      <input type="text" class="form-control search-list__search-field" placeholder="Search" v-model="search">
    </p>
    <div class="search-list">
      <div class="search-list__item" v-for="(post, ind) in filterPosts" :key="ind">
        <h4>{{post.title.toUpperCase()}}</h4>
        <p>{{post.body}}</p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data(){
      return {
          posts: [],
          search: ''
      }
  },
  created(){
    fetch('https://jsonplaceholder.typicode.com/posts', {method: "GET"})
      .then(response => response.json())
      .then(json => {
        this.posts = json.slice(0,20);
        console.log(json)
      })
  },
  computed: {
    filterPosts() {
      return this.posts.filter(post => {
        return post.title.toLowerCase().includes(this.search.toLowerCase());
      });
    }
  }

}
</script>

<style lang="scss" scoped>
  .search-list{
    &__search-field{
      margin-bottom: 40px;
    }
    &__item{
      margin-bottom: 15px;
      padding: 20px;
      background-color: #ececec;
      border-radius: 5px;
    }
  }
</style>

